# Table of Contents

- [Introduction](introduction.md)

- [Migrating from POSIX shells](migration.md)

- [Miscellaneous](misc/index.md)

    - [Implicit `cd`](misc/01-implicitcd.md)
    - [XDG App Directories](misc/02-xdg.md)
    - [Quoting Rules](misc/03-quotation.md)
    - [Multi-line Arguments](misc/04-multiargs.md)
    - [Multi-line Comments](misc/05-multicomments.md)
    - [Prompt Function](misc/06-prompt_fn.md)
    - [General Tips](misc/07-general.md)

- [Variables](variables/00-variables.md)

    - [String Variables](variables/01-strings.md)
    - [Array Variables](variables/02-arrays.md)
    - [Map Variables](variables/03-maps.md)
    - [Arithmetic Variables](variables/04-arithmetic.md)
    - [Exporting Variables](variables/05-exporting.md)
    - [Scopes](variables/06-scopes.md)
    - [Namespaces (colors, scopes and env vars)](variables/07-namespaces.md)

- [Expansions](expansions/00-expansions.md)

    - [Variable Expansions](expansions/01-variable.md)
    - [Process Expansions](expansions/02-process.md)
    - [Brace Expansions](expansions/03-brace.md)
    - [Arithmetic Expansions](expansions/04-arithmetic.md)
    - [Method Expansions](expansions/05-method.md)

- [Slicing Syntax](slicing.md)

- [Control Flow](control/00-flow.md)

    - [Conditionals](control/01-conditionals.md)
    - [Loops](control/02-loops.md)
    - [Matches](control/03-matches.md)

- [Pipelines & Redirection](pipelines.md)

- [Functions](functions.md)

- [Script Executions](scripts.md)

- [Signal Handling](signals.md)

- [Job Control](jobs.md)

- [Builtin Commands](builtins.md)

- [Command History](history.md)
